summaryrefslogtreecommitdiff
path: root/source3/script
diff options
context:
space:
mode:
authorMichael Adam <obnox@samba.org>2008-06-19 17:19:21 +0200
committerMichael Adam <obnox@samba.org>2008-06-19 17:22:27 +0200
commit0f32b220317de40cbcb285361f9457164cd10323 (patch)
tree946793546aba2f23959f939fbe45d9ea035d49aa /source3/script
parent24de341973b7325b0f15dc01317bf6ae60b2196f (diff)
downloadsamba-0f32b220317de40cbcb285361f9457164cd10323.tar.gz
samba-0f32b220317de40cbcb285361f9457164cd10323.tar.bz2
samba-0f32b220317de40cbcb285361f9457164cd10323.zip
testsuite: enable the testparm_s3 tests.
Michael (This used to be commit 0f5c13e5735990f4325f98156a7dc410276372fe)
Diffstat (limited to 'source3/script')
-rwxr-xr-xsource3/script/tests/tests_all.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/source3/script/tests/tests_all.sh b/source3/script/tests/tests_all.sh
index fa62a5129c..e44ec8b3c4 100755
--- a/source3/script/tests/tests_all.sh
+++ b/source3/script/tests/tests_all.sh
@@ -48,6 +48,12 @@ net_s3() {
|| failed=`expr $failed + $?`
}
+testparm_s3() {
+ echo "RUNNING TESTS testparm_s3"
+ $SCRIPTDIR/test_testparm_s3.sh \
+ || failed=`expr $failed +$?`
+}
+
posix_s3() {
echo "RUNNING TESTS posix_s3"
eval "$LIB_PATH_VAR="\$SAMBA4SHAREDDIR:\$$LIB_PATH_VAR"; export $LIB_PATH_VAR"
@@ -76,6 +82,7 @@ if test "x$TESTS" = "x" ; then
wbinfo_s3
ntlm_auth_s3
net_s3
+ testparm_s3
posix_s3
else
for THIS_TEST in $TESTS; do